# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   IDE for ASM development (PIC Micro controllers)
Name:      pikdev
Version:   0.8.2
Release:   1
Copyright: GPL
Vendor:    Gibaud Alain <alain.gibaud@free.fr>
Url:       http://pikdev.free.fr
Icon:     pikdev.xpm
Packager:  Gibaud Alain <alain.gibaud@free.fr>
Group:     development
Source:    pikdev-0.8.2.tar.gz
BuildRoot: pikdev-build

%description
A simple IDE for the development of PIC Micro based applications.PiKdev runs under KDE.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=/usr  \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.pikdev
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.pikdev
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.pikdev

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/pikdev
rm -rf ../file.list.pikdev


%files -f ../file.list.pikdev
