#ifndef BINVALUEEDITOR_H
#define BINVALUEEDITOR_H
#include <qhbox.h>
#include <qcheckbox.h>

class BinValueEditor : public QHBox
{
Q_OBJECT
private:
    QString label ;
    unsigned int *word;
    unsigned int bit ;
    QCheckBox *cb ;
public:
	BinValueEditor(unsigned int *wo,unsigned int bi , const QString& tx, QWidget *parent, bool editable=true ) ;
signals:
	// emmited when a bit-widget is clicked
	void bitChanged() ; 
public slots:
    // update bit-widget when word is externally changed
    void updateDisplay() ;
private slots:
    // update word when button is clicked
    void updateWord() ;
} ;
#endif
